Ogre::MeshSerializer::MeshVersionData Class Reference

`#include <OgreMeshSerializer.h>`

Inheritance diagram for Ogre::MeshSerializer::MeshVersionData:
[legend]

List of all members.

## Public Member Functions

| MeshVersionData (MeshVersion _ver, const String &_string, MeshSerializerImpl *_impl)
| ~MeshVersionData ()
void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info
void * | operator new (size_t sz)
void * | operator new (size_t sz, void *ptr)
| placement operator new
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info
void * | operator new[] (size_t sz)
void | operator delete (void *ptr)
void | operator delete (void *ptr, void *)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)

## Public Attributes

MeshVersion | version
String | versionString
MeshSerializerImpl * | impl

## Detailed Description

Definition at line 164 of file OgreMeshSerializer.h.

## Constructor & Destructor Documentation

Ogre::MeshSerializer::MeshVersionData::MeshVersionData | ( | MeshVersion | _ver,
|  | const String & | _string,
|  | MeshSerializerImpl * | _impl
| ) |  |

Definition at line 171 of file OgreMeshSerializer.h.

Ogre::MeshSerializer::MeshVersionData::~MeshVersionData | ( |  | ) |

Definition at line 174 of file OgreMeshSerializer.h.

References OGRE_DELETE.

## Member Function Documentation

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr | ) | `[inherited]`

Definition at line 95 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | void * |
| ) |  | `[inherited]`

Definition at line 101 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  | `[inherited]`

Definition at line 107 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr | ) | `[inherited]`

Definition at line 112 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  | `[inherited]`

Definition at line 118 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  | `[inherited]`

operator new, with debug line info

Definition at line 67 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz | ) | `[inherited]`

Definition at line 72 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | void * | ptr
| ) |  | `[inherited]`

placement operator new

Definition at line 78 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  | `[inherited]`

array operator new, with debug line info

Definition at line 85 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz | ) | `[inherited]`

Definition at line 90 of file OgreMemoryAllocatedObject.h.

## Member Data Documentation

MeshSerializerImpl* Ogre::MeshSerializer::MeshVersionData::impl

Definition at line 169 of file OgreMeshSerializer.h.

MeshVersion Ogre::MeshSerializer::MeshVersionData::version

Definition at line 167 of file OgreMeshSerializer.h.

String Ogre::MeshSerializer::MeshVersionData::versionString

Definition at line 168 of file OgreMeshSerializer.h.

The documentation for this class was generated from the following file:

- OgreMeshSerializer.h

Copyright © 2012 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun Sep 2 2012 07:27:31